<template>
  <div class="h-24 bg-background5 rounded-lg relative overflow-hidden">
    <SharedGameTags
      :is-hot="isHot"
      :is-new="isNew"
      class="bottom-2 left-2 absolute z-[3]"
      width="36px"
    />
    <div class="flex justify-between">
      <div
        class="flex flex-col items-start justify-start p-2 relative z-[2] w-[84px] break-words"
        style="word-break: break-word"
      >
        <img
          :src="providerLogoPath"
          class="object-contain justify-self-center w-[60px] h-6"
          loading="lazy"
        />
        <span class="text-xs --text4">{{ name }}</span>
      </div>
      <div
        class="absolute right-0 bottom-0 z-[1] h-full rounded-lg shrink-0 w-[204px]"
      >
        <img :src="bgImagePath" alt="" class="h-full rounded-lg w-[204px]" />
        <img
          :src="starImagePath"
          class="h-[90px] absolute right-0 bottom-0"
          alt=""
        />
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
defineProps<{
  providerLogoPath: string;
  name: string;
  bgImagePath: string;
  starImagePath: string;
  isHot: boolean;
  isNew: boolean;
}>();
</script>

<style></style>
